Bug 115138 - Window-raising oddness (see below)
Window-raising oddness (see below)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 16:12 EST by Brian Fahrlander
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-07 06:18:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Fahrlander 2004-02-06 16:12:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040124 Galeon/1.3.12

Description of problem:
I have a TV capture card.  When I'm not in the chair, I 'fullscreen'
it and my $2,000 computer becomes a $100 TV set.  The panel bars at
the top and bottom, all icons, everything gets overlaid.  I don't
understand *how* this works, but I love it when it does.

So everything about this beautiful illusion is perfect...until the
*first* Gaim message (from any network) shows up, inside or outside of
the "X idle" time, and I get the IM window and the "I'm away" message
of my choice.  I'm sure my window manager, Metacity (the default) is
part of the problem, but I really don't understand the underlying process.

The crux of this is, enough of the screen is blotted out that it's
close to useless until I get back in the chair and press anywhere on
the TV screen.  After that, any number of messages can arrive and
things work as planned.

This bug really, well, BUGS me, though it's not a showstopper.  No
hurry- I'm sure there are far more important things knocking at your door.


Version-Release number of selected component (if applicable):
gaim-0.75-0

How reproducible:
Always

Steps to Reproduce:
1. Run Gaim and full-screen the TV.
2. Wait for an incoming message, while in AWAY mode.
3. Notice it blots out the screen.
    

Actual Results:  The process reveals the IM window and the away
message.  I don't have the "raise on incoming message" thing turned on.  

Expected Results:  As far as I know, this is the only program of any
kind that disturbs the screen.

Additional info:

Maybe it's asserting the "stay on top" (or similar) function?  Could
it perhaps not be honoring the raise-on-message setting?
Comment 1 Bart Martens 2004-02-08 05:44:00 EST
I haven't found in your message what software you use for watching tv.
Have you tried tvtime? Do you still have this problem with tvtime?
Comment 2 Christopher Blizzard 2004-02-12 14:20:31 EST
Probably the window manager, yeah.  Or that the tv software doesn't
actually have the right bits turned on.  What's the software?
Comment 3 Brian Fahrlander 2004-02-12 14:38:38 EST
Well I was using Xawtv (newest stable version) but now I've been
enlightened to TvTime.  Wow.  Problem is, it still does it.

What's weird is that this was a fresh install...I'm running Metacity,
just like 90% of everyone else.  It's annoying...not as serious as
some of the bugs I've noticed lately, but I just wanted someone to know.

For years I've kicked myself for not being able to participate as a
programmer, but turning-in bugs and being helpful might just scratch
that itch, ya know?  I'm happy to help in any way I can.

    Thanks!
Comment 4 Brian Fahrlander 2004-03-01 15:01:30 EST
Now that I've had time to test it thouroughly, I have a better picture
of what's going on.

TVTime's on, and been on for a while.  The *first* message that comes
in, and those that arrive while I'm not seen as "idle" by X, overlay
the fullscreen image.

I know there's a bug in the windows themselves: some of my away
messages never respond with a "I'm away" kinda message", but the
action of raising windows, whatever they're doing, is the same.

How can this be? I'm using a fresh install- no playing games with the
window manager or anything (not even screensavers), but when a message
is raised, it overlays the image *and* brings the panel with it.

Is that a clue? 
Comment 5 Warren Togami 2004-03-17 03:35:41 EST
I am taking a guess that this is a window manager issue, or a general
problem with TV apps.  You best ask the upstream TV project mailing
lists if they know about any fixes for this issue.  You can also test
the newer software in FC2 test + rawhide to see if this is any
improved.  Lastly I would suggest asking the metacity mailing list.

If you hear back anything useful from the upstream projects, please
post URLs or summarize info here.

Note You need to log in before you can comment on or make changes to this bug.